<%-- 
    Document   : accueilJSP
    Created on : 9 sept. 2024, 12:32:01
    Author     : famille Thevenot
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Accueil des clients</title>
    </head>
    
        <%@include file="jspf/enteteClient.jspf" %>
        <%@include file="jspf/menuClient.jspf" %>
        
        <p>Bienvenue sur la nouvelle application de gestion des clients écrites avec JakartaEE</p>
          ${empty param.ztPseudo ? "Veuillez-vous authentifier." : "Authentification réussie. <br>"}
          <!--ne produit pas d'erreur mais ne fonctionne pas-->
          <c:choose>
              <c:when test="${param.ztPseudo!=null} and ${param.ztMDP!=null}"> <!--Si un pseudo et mdp sont renseignés-->
                  <p>Bienvenue : ${param.ztPseudo}</p>
               </c:when>    
               <c:when test="${param.ztPseudo!=null} and ${param.ztMDP!=null} and ${isAdmin==true}"> <!--Si un pseudo et mdp sont renseignés et que ça correspond à un admin-->
                   <p>Bienvenue : ${param.ztPseudo}.<br>Vous êtes l'administrateur</p>
              </c:when>
          </c:choose>
          
          
          <form action="authentification" method="post">
                <label for="fpseudo">Pseudo :</label>
                <input type="text" id="fpseudo" name="ztPseudo" required="required"><br><br>
                <label for="fpwd">Mot de passe :</label>
                <input type="password" id="fpwd" name="ztMDP" required="required"><br><br>
                <input type="submit" value="Submit">
          </form>
          
          
        
</html>
